import os.path
import os
import requests
import pandas as pd
import sys, io
import zipfile 
import gzip
import glob


def fetchData(source):
    COMPASS_CALLBACK_URL = os.getenv("PORTFOLIO_API_URL")
    COMPASS_USERNAME = os.getenv("PORTFOLIO_API_USERNAME")
    COMPASS_PASSWORD = os.getenv("PORTFOLIO_API_PASSWORD")
    
    DATA_DIR = "/data"
    #DATA_DIR = "/Users/sjagpreet/Documents/gitlab/vmware/move-groups-compass-plugin"

    GET_URL=f"{COMPASS_CALLBACK_URL}/dependency/csv"
    
    if source is not None:
        GET_URL=f"{COMPASS_CALLBACK_URL}/"+source

    print(f"{GET_URL}")
    print(f"{COMPASS_USERNAME}")
    Filename_csv = DATA_DIR+"/data.csv"

    print('Downloading started')

    if COMPASS_USERNAME is not None:
        print('Secure Mode')
        req = requests.get(GET_URL,verify=False,auth=(COMPASS_USERNAME, COMPASS_PASSWORD))
    else:
        req = requests.get(GET_URL)

    if req.status_code == 200:   
        with open(Filename_csv,'wb') as output_file:
            output_file.write(req.content)
        print('Downloading Completed')