import requests
import os

def postFile(url, file, name, description, source, category):
    files = {'file': open(file,'rb')}
    values = {'description': description, 'name': name, 'source': source, 'category': category}

    COMPASS_USERNAME = os.getenv("PORTFOLIO_API_USERNAME")
    COMPASS_PASSWORD = os.getenv("PORTFOLIO_API_PASSWORD")

    if COMPASS_USERNAME is not None:
        print('Secure Mode')
        requests.post(url, files=files, data=values,verify=False,auth=(COMPASS_USERNAME, COMPASS_PASSWORD))
    else:
        requests.post(url, files=files, data=values)


def postProperty(url, name, value):
    COMPASS_USERNAME = os.getenv("PORTFOLIO_API_USERNAME")
    COMPASS_PASSWORD = os.getenv("PORTFOLIO_API_PASSWORD")
    headers = {'Content-type': 'application/json'}

    if COMPASS_USERNAME is not None:
        print('Secure Mode')
        req = requests.put(url, headers=headers, data="[{'name':'"+name+"', 'value':'"+value+"'}]",verify=False,auth=(COMPASS_USERNAME, COMPASS_PASSWORD))
        print (req.status_code)
        if req.status_code == 200:
            print('Results Saved')
    else:
        req = requests.put(url, headers=headers, data="[{'name':'"+name+"', 'value':'"+value+"'}]")
        print (req.status_code)
        if req.status_code == 200:
            print('Results Saved')

